#
# spec file for package edge-build-checks
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           edge-build-checks
Summary:        post checks for build after charts and images are created
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
Version:        0.0.1
Release:        0
Source0:        COPYING
Source1:        20-helm-images
Source2:        10-helm-lint
Source3:        SUSE-Edge.conf
Source4:        20-helm-tags
BuildArch:      noarch
Requires:       container-build-checks
Requires:       python3-PyYAML
Provides:       container-build-checks-vendor

%description
some scripts to check for problems in edge related helm charts and images after their creation
in OBS.

%prep
cp %{SOURCE0} .

%build
%define _lto_cflags %{nil}
# nothing to do

%install
install -d $RPM_BUILD_ROOT/usr/lib/build/post-build-checks
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/build/post-build-checks
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/build/post-build-checks
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/build/post-build-checks
install -d %{buildroot}%{_datadir}/container-build-checks
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/container-build-checks/SUSE-Edge.conf

%files
%license COPYING
%{_datadir}/container-build-checks
/usr/lib/build

%changelog
